## taler-wallet-v0.13.1.tar.gz

=== Makefile ===
# This Makefile has been placed in the public domain.

tsc = node_modules/typescript/bin/tsc
pogen = node_modules/@gnu-taler/pogen/bin/pogen.js
typedoc = node_modules/typedoc/bin/typedoc
ava = node_modules/.bin/ava
nyc = node_modules/nyc/bin/nyc.js
git-archive-all = ./build-system/taler-build-scripts/archive-with-submodules/git_archive_all.py

include .config.mk

# Let recursive Makefiles know that they're being invoked
# from the top-level makefile.
export TOPLEVEL := yes
export TOP_DESTDIR := $(abspath $(DESTDIR))

.PHONY: compile
compile:
	pnpm install -r --frozen-lockfile
	pnpm run compile


.PHONY: dist
dist:
	$(git-archive-all) \
	       	--include ./configure \
	       	--include ./packages/taler-wallet-cli/configure \
	       	--include ./packages/anastasis-cli/configure \
	       	--include ./packages/bank-ui/configure \
	       	--include ./packages/taler-harness/configure \
	       	--include ./packages/merchant-backoffice-ui/configure \
	       	taler-wallet-$(shell git describe --tags --abbrev=0).tar.gz

# Create tarball with git hash prefix in name
.PHONY: dist-git
dist-git:
	$(git-archive-all) --include ./configure taler-wallet-$(shell git describe --tags).tar.gz

.PHONY: publish
publish:
	pnpm i -r --frozen-lockfile
	pnpm run compile
	pnpm publish -r --no-git-checks

.PHONY: prebuilt
prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	make backoffice-prebuilt
	make backend-prebuilt
	make bank-prebuilt
	make kyc-prebuilt
	make challenger-prebuilt
	make aml-backoffice-prebuilt
	make anastasis-prebuilt
	make auditor-prebuilt
	./contrib/publish-prebuilt-dir.sh

# RELEASE prebuilt

.PHONY: anastasis-prebuilt
anastasis-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... compile
	./contrib/copy-anastasis-into-prebuilt.sh

.PHONY: backoffice-prebuilt
backoffice-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backoffice-ui...
	pnpm run --filter @gnu-taler/merchant-backoffice-ui... compile
	./contrib/copy-backoffice-into-prebuilt.sh

.PHONY: backend-prebuilt
backend-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backend-ui...
	pnpm run --filter @gnu-taler/merchant-backend-ui... compile
	./contrib/copy-backend-into-prebuilt.sh

.PHONY: aml-backoffice-prebuilt
aml-backoffice-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/aml-backoffice-ui...
	pnpm run --filter @gnu-taler/aml-backoffice-ui... compile
	./contrib/copy-aml-backoffice-into-prebuilt.sh

.PHONY: kyc-prebuilt
kyc-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/kyc-ui...
	pnpm run --filter @gnu-taler/kyc-ui... compile
	./contrib/copy-kyc-into-prebuilt.sh

.PHONY: challenger-prebuilt
challenger-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/challenger-ui...
	pnpm run --filter @gnu-taler/challenger-ui... compile
	./contrib/copy-challenger-into-prebuilt.sh

.PHONY: bank-prebuilt
bank-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/bank-ui...
	pnpm run --filter @gnu-taler/bank-ui... compile
	./contrib/copy-bank-into-prebuilt.sh

.PHONY: auditor-prebuilt
auditor-prebuilt:
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/auditor-backoffice-ui...
	pnpm run --filter @gnu-taler/auditor-backoffice-ui... compile
	./contrib/copy-auditor-backoffice-into-prebuilt.sh

# DEV prebuilt

.PHONY: anastasis-dev-prebuilt
anastasis-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/anastasis-webui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-anastasis-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: backoffice-dev-prebuilt
backoffice-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/merchant-backoffice-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backoffice-ui...
	pnpm run --filter @gnu-taler/merchant-backoffice-ui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-backoffice-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: backend-dev-prebuilt
backend-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/merchant-backend-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backend-ui...
	pnpm run --filter @gnu-taler/merchant-backend-ui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-backend-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: aml-backoffice-dev-prebuilt
aml-backoffice-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/aml-backoffice-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/aml-backoffice-ui...
	pnpm run --filter @gnu-taler/aml-backoffice-ui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-aml-backoffice-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: kyc-dev-prebuilt
kyc-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/kyc-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/kyc-ui...
	pnpm run --filter @gnu-taler/kyc-ui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-kyc-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: auditor-dev-prebuilt
auditor-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/auditor-backoffice-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/auditor-backoffice-ui...
	pnpm run --filter @gnu-taler/auditor-backoffice-ui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-auditor-backoffice-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: challenger-dev-prebuilt
challenger-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/challenger-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/challenger-ui...
	pnpm run --filter @gnu-taler/challenger-ui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-challenger-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

.PHONY: bank-dev-prebuilt
bank-dev-prebuilt:
	./contrib/cleanup-prebuilt-dir.sh
	./contrib/next-dev-version.sh packages/bank-ui/package.json
	pnpm clean
	pnpm install --frozen-lockfile --filter @gnu-taler/bank-ui...
	pnpm run --filter @gnu-taler/bank-ui... compile
	git ci -am "new prebuilt dev" && git push
	./contrib/copy-bank-into-prebuilt.sh
	./contrib/publish-prebuilt-dir.sh

# make documentation from docstrings
.PHONY: typedoc
typedoc:
	$(typedoc) --out dist/typedoc --readme README

.PHONY: clean
clean:
	pnpm run clean

.PHONY: submodules-update
submodules-update:
	git submodule update --recursive --remote

.PHONY: check
check:
	pnpm install -r --frozen-lockfile
	pnpm run compile
	pnpm run check

.PHONY: config-lib
config-lib:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-config-lib...
	cd ./packages/taler-config-lib/ && pnpm link -g

.PHONY: anastasis-webui
anastasis-webui:
	pnpm install --frozen-lockfile --filter . --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... compile

.PHONY: anastasis-webui-dist
anastasis-webui-dist: anastasis-webui
	(cd packages/anastasis-webui/dist/prod && zip -r - ./*) > anastasis-webui.zip


.PHONY: anastasis-webui-dev
anastasis-webui-dev:
	pnpm install --frozen-lockfile --filter @gnu-taler/anastasis-webui...
	pnpm run --filter @gnu-taler/anastasis-webui... dev

.PHONY: webextension
webextension:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-webextension...
	pnpm run --filter @gnu-taler/taler-wallet-webextension... compile
	cd ./packages/taler-wallet-webextension/ && ./pack.sh prod

.PHONY: webextension-dev
webextension-dev:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-webextension...
	pnpm run --filter @gnu-taler/taler-wallet-webextension... dev

.PHONY: embedded
embedded:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-embedded...
	pnpm run --filter @gnu-taler/taler-wallet-embedded... compile
	@echo built packages/taler-wallet-embedded/dist/taler-wallet-core-qjs.mjs

.PHONY: lint
lint:
	./node_modules/.bin/eslint --ext '.js,.ts,.tsx' 'src'


.PHONY: install
# Build and install everything
install:
	pnpm install --frozen-lockfile
	pnpm run compile
	$(MAKE) -C packages/taler-wallet-cli install-nodeps
	$(MAKE) -C packages/anastasis-cli install-nodeps
	$(MAKE) -C packages/taler-harness install-nodeps
	$(MAKE) -C packages/bank-ui install-nodeps
	$(MAKE) -C packages/merchant-backoffice-ui install-nodeps
	$(MAKE) -C packages/aml-backoffice-ui install-nodeps
	$(MAKE) -C packages/auditor-backoffice-ui install-nodeps


.PHONY: install-tools
# Install taler-wallet-cli, anastasis-cli and taler-harness
install-tools:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-cli... --filter @gnu-taler/anastasis-cli... --filter @gnu-taler/taler-harness...
	pnpm run --filter @gnu-taler/taler-wallet-cli... --filter @gnu-taler/anastasis-cli... --filter @gnu-taler/taler-harness... compile
	$(MAKE) -C packages/taler-wallet-cli install-nodeps
	$(MAKE) -C packages/anastasis-cli install-nodeps
	$(MAKE) -C packages/taler-harness install-nodeps

.PHONY: check-migration

check-migration:
	taler-harness advanced wallet-dbcheck contrib/wallet-testdata/wallet-dbgen-0.9.4-dev.8

=== packages/aml-backoffice-ui/Makefile ===
# This Makefile has been placed in the public domain

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

.PHONY: all
all:
	@echo run \'make install\' to install

spa_dir=$(DESTDIR)$(prefix)/share/taler/aml-backoffice-ui

.PHONY: install-nodeps
install-nodeps:
	install -d $(spa_dir)
	install ./dist/prod/* $(spa_dir)

.PHONY: deps
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/aml-backoffice-ui...
	pnpm run check
	pnpm run build

.PHONY: install
install:
	$(MAKE) deps
	$(MAKE) install-nodeps

=== packages/merchant-backoffice-ui/Makefile ===
# This Makefile has been placed in the public domain

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

.PHONY: all
all:
	@echo run \'make install\' to install

spa_dir=$(DESTDIR)$(prefix)/share/taler/merchant-backoffice

.PHONY: deps
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/merchant-backoffice...
	pnpm run build

.PHONY: install-nodeps
install-nodeps:
	(cd dist/prod && find . -type f -exec install -D "{}" "$(spa_dir)/{}" \;)


.PHONY: install
install:
	$(MAKE) deps
	$(MAKE) install-nodeps

=== packages/taler-util/Makefile ===
# This Makefile has been placed in the public domain.

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install taler-util

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
LIBDIR = $(prefix)/share/taler-js/taler-util
NODE_DEPS = $(shell jq "(.dependencies|keys|map(\"node_modules/\" + .)|join(\" \"))" package.json -r)
.PHONY: install install-nodeps deps
install-nodeps:
	pnpm compile 
	@echo installing taler-util to $(DESTDIR)$(prefix)
	install -d $(DESTDIR)$(LIBDIR)/lib/globbing 
	install lib/*.* $(DESTDIR)$(LIBDIR)/lib
	install lib/globbing/*.* $(DESTDIR)$(LIBDIR)/lib/globbing
	install package.json $(DESTDIR)$(LIBDIR)
	tar hcf - $(NODE_DEPS) | (cd $(DESTDIR)$(LIBDIR); tar xf -)

deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-util...
	pnpm run --filter @gnu-taler/taler-util... compile
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
endif

=== packages/taler-wallet-cli/Makefile ===
# This Makefile has been placed in the public domain.

ifeq ($(TOPLEVEL), yes)
  $(info top-level build)
  -include ../../.config.mk
  override DESTDIR := $(TOP_DESTDIR)
else
  $(info package-level build)
  -include ../../.config.mk
  -include .config.mk
endif

$(info prefix is $(prefix))

all:
	@echo use 'make install' to build and install taler-wallet-cli

ifndef prefix
.PHONY: warn-noprefix install
warn-noprefix:
	@echo "no prefix configured, did you run ./configure?"
install: warn-noprefix
else
LIBDIR = $(prefix)/lib/taler-wallet-cli
BINDIR=$(prefix)/bin
NODEDIR=$(LIBDIR)/node_modules/taler-wallet-cli
.PHONY: install install-nodeps deps
install-nodeps:
	./build-node.mjs
	@echo installing wallet CLI to $(DESTDIR)$(prefix)
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(LIBDIR)/build
	install -d $(DESTDIR)$(NODEDIR)/bin
	install -d $(DESTDIR)$(NODEDIR)/dist
	install ./dist/taler-wallet-cli-bundled.cjs $(DESTDIR)$(NODEDIR)/dist/
	install ./dist/taler-wallet-cli-bundled.cjs.map $(DESTDIR)$(NODEDIR)/dist/
	install ./bin/taler-wallet-cli.mjs $(DESTDIR)$(NODEDIR)/bin/
	install ../idb-bridge/node_modules/better-sqlite3/build/Release/better_sqlite3.node $(DESTDIR)$(LIBDIR)/build/ \
		|| echo "sqlite3 unavailable, better-sqlite3 native module not found"
	ln -sf ../lib/taler-wallet-cli/node_modules/taler-wallet-cli/bin/taler-wallet-cli.mjs $(DESTDIR)$(BINDIR)/taler-wallet-cli
deps:
	pnpm install --frozen-lockfile --filter @gnu-taler/taler-wallet-cli...
	pnpm run --filter @gnu-taler/taler-wallet-cli... compile
install:
	$(MAKE) deps
	$(MAKE) install-nodeps
endif

.PHONY: deb
deb:
	dpkg-buildpackage -rfakeroot -b -uc -us

=== packages/taler-harness/debian/changelog ===
taler-harness (0.13.1) unstable; urgency=low

  * Release 0.13.1

 -- Florian Dold <dold@taler.net>  Wed, 28 Aug 2024 23:42:37 +0200

taler-harness (0.13.0) unstable; urgency=low

  * Release 0.13.0

 -- Florian Dold <dold@taler.net>  Tue, 27 Aug 2024 20:55:35 +0200

taler-harness (0.12.14~dev.1) unstable; urgency=low

  * Release 0.12.14-dev.1

 -- Florian Dold <dold@taler.net>  Tue, 27 Aug 2024 00:15:09 +0200

taler-harness (0.12.14-dev.1) unstable; urgency=low

  * Release 0.12.14-dev.1

 -- Florian Dold <dold@taler.net>  Tue, 27 Aug 2024 00:11:56 +0200

taler-harness (0.12.13) unstable; urgency=low

  * Release 0.12.13

 -- Florian Dold <dold@taler.net>  Sun, 25 Aug 2024 14:21:08 +0200

taler-harness (0.12.12) unstable; urgency=low

  * Release 0.12.12

 -- Florian Dold <dold@taler.net>  Mon, 12 Aug 2024 22:45:00 -0300

taler-harness (0.12.11) unstable; urgency=low

  * Release 0.12.11

 -- Florian Dold <dold@taler.net>  Sun, 11 Aug 2024 22:31:39 +0200

taler-harness (0.12.10) unstable; urgency=low

  * Release 0.12.10

 -- Florian Dold <dold@taler.net>  Sun, 11 Aug 2024 17:17:11 +0200

taler-harness (0.12.9) unstable; urgency=low

  * Release 0.12.9

 -- Florian Dold <dold@taler.net>  Thu, 08 Aug 2024 16:51:49 +0200

taler-harness (0.12.8) unstable; urgency=low

  * Release 0.12.8

 -- Florian Dold <dold@taler.net>  Fri, 02 Aug 2024 11:37:02 -0600

taler-harness (0.12.7) unstable; urgency=low

  * Release 0.12.7

 -- Florian Dold <dold@taler.net>  Mon, 29 Jul 2024 10:57:50 +0200

taler-harness (0.12.6) unstable; urgency=low

  * Release 0.12.6

 -- Florian Dold <dold@taler.net>  Mon, 22 Jul 2024 12:36:42 -0600

taler-harness (0.12.5) unstable; urgency=low

  * Release 0.12.5

 -- Florian Dold <dold@taler.net>  Wed, 17 Jul 2024 09:34:49 -0600

taler-harness (0.12.4) unstable; urgency=low

  * Release 0.12.4

 -- Florian Dold <dold@taler.net>  Mon, 15 Jul 2024 08:39:36 -0600

taler-harness (0.12.3) unstable; urgency=low

  * Release 0.12.3

 -- Florian Dold <dold@taler.net>  Mon, 15 Jul 2024 08:36:26 -0600

taler-harness (0.12.2) unstable; urgency=low

  * Release 0.12.2

 -- Florian Dold <dold@taler.net>  Thu, 27 Jun 2024 20:19:19 +0200

taler-harness (0.12.1) unstable; urgency=low

  * Release 0.12.1

 -- Florian Dold <dold@taler.net>  Wed, 26 Jun 2024 09:30:32 -0600

taler-harness (v0.12.1) unstable; urgency=low

  * Release v0.12.1

 -- Florian Dold <dold@taler.net>  Wed, 26 Jun 2024 09:30:20 -0600

taler-harness (0.12.0) unstable; urgency=low

  * Release 0.12.0

 -- Florian Dold <dold@taler.net>  Wed, 26 Jun 2024 16:17:52 +0200

taler-harness (0.11.4) unstable; urgency=low

  * Release 0.11.4

 -- Florian Dold <dold@taler.net>  Mon, 10 Jun 2024 19:57:55 +0200

taler-harness (0.11.3) unstable; urgency=low

  * Release 0.11.3

 -- Florian Dold <dold@taler.net>  Fri, 07 Jun 2024 19:12:44 +0200

taler-harness (0.11.2) unstable; urgency=low

  * Release 0.11.2

 -- Florian Dold <dold@taler.net>  Wed, 05 Jun 2024 20:17:56 +0200

taler-harness (0.11.1) unstable; urgency=low

  * Release 0.11.1

 -- Florian Dold <dold@taler.net>  Mon, 27 May 2024 14:46:35 -0600

taler-harness (0.10.7) unstable; urgency=low

  * Release 0.10.7

 -- Florian Dold <dold@taler.net>  Mon, 22 Apr 2024 20:16:39 +0200

taler-harness (0.10.6) unstable; urgency=low

  * Release 0.10.6

 -- Florian Dold <dold@taler.net>  Wed, 10 Apr 2024 15:19:33 +0200

taler-harness (0.10.5) unstable; urgency=low

  * Release 0.10.5

 -- Florian Dold <dold@taler.net>  Tue, 09 Apr 2024 16:13:58 +0200

taler-harness (0.10.4) unstable; urgency=low

  * Release 0.10.4

 -- Florian Dold <dold@taler.net>  Tue, 09 Apr 2024 14:39:44 +0200

taler-harness (0.9.4a) unstable; urgency=low

  * Release v0.9.4a.

 -- Florian Dold <dold@taler.net>  Thu, 07 Mar 2024 23:43:05 +0100

taler-harness (0.9.3-1) unstable; urgency=low

  * Misc bugfixes.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 13 Dec 2023 18:53:15 -0700

taler-harness (0.9.3) unstable; urgency=low

  * First release for GNU Taler v0.9.3.

 -- Christian Grothoff <grothoff@gnu.org>  Wed, 29 Nov 2023 08:53:15 -0800

taler-harness (0.9.2-2) unstable; urgency=low

  * Release with various Debian package fixes.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 3 Mar 2023 23:47:15 -0300

taler-harness (0.9.2) unstable; urgency=low

  * Official 0.9.2 release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 25 Feb 2023 12:47:15 -0300

Local variables:
mode: debian-changelog
End:

=== packages/taler-wallet-cli/debian/changelog ===
taler-wallet-cli (0.13.1) unstable; urgency=low

  * Release 0.13.1

 -- Florian Dold <dold@taler.net>  Wed, 28 Aug 2024 23:42:37 +0200

taler-wallet-cli (0.13.0) unstable; urgency=low

  * Release 0.13.0

 -- Florian Dold <dold@taler.net>  Tue, 27 Aug 2024 20:55:34 +0200

taler-wallet-cli (0.12.14~dev.1) unstable; urgency=low

  * Release 0.12.14-dev.1

 -- Florian Dold <dold@taler.net>  Tue, 27 Aug 2024 00:15:09 +0200

taler-wallet-cli (0.12.14-dev.1) unstable; urgency=low

  * Release 0.12.14-dev.1

 -- Florian Dold <dold@taler.net>  Tue, 27 Aug 2024 00:11:56 +0200

taler-wallet-cli (0.12.13) unstable; urgency=low

  * Release 0.12.13

 -- Florian Dold <dold@taler.net>  Sun, 25 Aug 2024 14:21:08 +0200

taler-wallet-cli (0.12.12) unstable; urgency=low

  * Release 0.12.12

 -- Florian Dold <dold@taler.net>  Mon, 12 Aug 2024 22:45:00 -0300

taler-wallet-cli (0.12.11) unstable; urgency=low

  * Release 0.12.11

 -- Florian Dold <dold@taler.net>  Sun, 11 Aug 2024 22:31:39 +0200

taler-wallet-cli (0.12.10) unstable; urgency=low

  * Release 0.12.10

 -- Florian Dold <dold@taler.net>  Sun, 11 Aug 2024 17:17:11 +0200

taler-wallet-cli (0.12.9) unstable; urgency=low

  * Release 0.12.9

 -- Florian Dold <dold@taler.net>  Thu, 08 Aug 2024 16:51:49 +0200

taler-wallet-cli (0.12.8) unstable; urgency=low

  * Release 0.12.8

 -- Florian Dold <dold@taler.net>  Fri, 02 Aug 2024 11:37:02 -0600

taler-wallet-cli (0.12.7) unstable; urgency=low

  * Release 0.12.7

 -- Florian Dold <dold@taler.net>  Mon, 29 Jul 2024 10:57:50 +0200

taler-wallet-cli (0.12.6) unstable; urgency=low

  * Release 0.12.6

 -- Florian Dold <dold@taler.net>  Mon, 22 Jul 2024 12:36:42 -0600

taler-wallet-cli (0.12.5) unstable; urgency=low

  * Release 0.12.5

 -- Florian Dold <dold@taler.net>  Wed, 17 Jul 2024 09:34:49 -0600

taler-wallet-cli (0.12.4) unstable; urgency=low

  * Release 0.12.4

 -- Florian Dold <dold@taler.net>  Mon, 15 Jul 2024 08:39:36 -0600

taler-wallet-cli (0.12.3) unstable; urgency=low

  * Release 0.12.3

 -- Florian Dold <dold@taler.net>  Mon, 15 Jul 2024 08:36:26 -0600

taler-wallet-cli (0.12.2) unstable; urgency=low

  * Release 0.12.2

 -- Florian Dold <dold@taler.net>  Thu, 27 Jun 2024 20:19:19 +0200

taler-wallet-cli (0.12.1) unstable; urgency=low

  * Release 0.12.1

 -- Florian Dold <dold@taler.net>  Wed, 26 Jun 2024 09:30:32 -0600

taler-wallet-cli (0.12.0) unstable; urgency=low

  * Release 0.12.0

 -- Florian Dold <dold@taler.net>  Wed, 26 Jun 2024 16:17:52 +0200

taler-wallet-cli (0.11.4) unstable; urgency=low

  * Release 0.11.4

 -- Florian Dold <dold@taler.net>  Mon, 10 Jun 2024 19:57:55 +0200

taler-wallet-cli (0.11.3) unstable; urgency=low

  * Release 0.11.3

 -- Florian Dold <dold@taler.net>  Fri, 07 Jun 2024 19:12:44 +0200

taler-wallet-cli (0.11.2) unstable; urgency=low

  * Release 0.11.2

 -- Florian Dold <dold@taler.net>  Wed, 05 Jun 2024 20:17:56 +0200

taler-wallet-cli (0.11.1) unstable; urgency=low

  * Release 0.11.1

 -- Florian Dold <dold@taler.net>  Mon, 27 May 2024 14:46:35 -0600

taler-wallet-cli (0.10.7) unstable; urgency=low

  * Release 0.10.7

 -- Florian Dold <dold@taler.net>  Mon, 22 Apr 2024 20:16:39 +0200

taler-wallet-cli (0.10.6) unstable; urgency=low

  * Release 0.10.6

 -- Florian Dold <dold@taler.net>  Wed, 10 Apr 2024 15:19:33 +0200

taler-wallet-cli (0.10.5) unstable; urgency=low

  * Release 0.10.5

 -- Florian Dold <dold@taler.net>  Tue, 09 Apr 2024 16:13:58 +0200

taler-wallet-cli (0.10.4) unstable; urgency=low

  * Release 0.10.4

 -- Florian Dold <dold@taler.net>  Tue, 09 Apr 2024 14:39:44 +0200

taler-wallet-cli (0.9.4a) unstable; urgency=low

  * Release v0.9.4a.

 -- Florian Dold <dold@taler.net>  Thu, 07 Mar 2024 23:43:05 +0100

taler-wallet-cli (0.9.3-1) unstable; urgency=low

  * Misc bugfixes.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 13 Dec 2023 18:53:15 -0700

taler-wallet-cli (0.9.3) unstable; urgency=low

  * First release for GNU Taler v0.9.3.

 -- Christian Grothoff <grothoff@gnu.org>  Wed, 29 Nov 2023 08:53:15 -0800

taler-wallet-cli (0.9.2-2) unstable; urgency=low

  * Release with various Debian package fixes.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 3 Mar 2023 23:47:15 -0300

taler-wallet-cli (0.9.2) unstable; urgency=low

  * Official 0.9.2 release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 25 Feb 2023 12:47:15 -0300

taler-wallet-cli (0.9.1) unstable; urgency=low

  * Official 0.9.1 release.

 -- Christian Grothoff <grothoff@gnu.org>  Thu, 26 Jan 2023 12:47:15 -0300

taler-wallet-cli (0.9.0) unstable; urgency=low

  * Official 0.9.0 release.

 -- Christian Grothoff <grothoff@gnu.org>  Sat, 5 Nov 2022 12:47:15 -0300

taler-wallet-cli (0.8.99) unstable; urgency=low

  * Preview for 0.9 wallet.

 -- Christian Grothoff <grothoff@gnu.org>  Tue, 21 Jun 2022 12:47:15 -0300

taler-wallet-cli (0.8.3) unstable; urgency=low

  * Official 0.8.3 release.

 -- Sebastian Marchano <sebasjm@gmail.com>  Fri, 26 Nov 2021 12:47:15 -0300

taler-wallet-cli (0.8.2) unstable; urgency=low

  * Official 0.8.2 release.

 -- Florian Dold <dold@taler.net>  Tue, 24 Aug 2021 15:47:15 +0200

taler-wallet-cli (0.0.1-6) unstable; urgency=low

  * Fix deposit tracking.

 -- Florian Dold <dold@taler.net>  Sat, 07 Aug 2021 17:40:08 +0200

taler-wallet-cli (0.0.1-5) unstable; urgency=low

  * Performance improvements.

 -- Florian Dold <dold@taler.net>  Fri, 06 Aug 2021 17:16:18 +0200

taler-wallet-cli (0.0.1-4) unstable; urgency=low

  * Deployment linting improvements.

 -- Florian Dold <dold@taler.net>  Fri, 06 Aug 2021 11:58:34 +0200

taler-wallet-cli (0.0.1-3) unstable; urgency=low

  * Deployment linting improvements.

 -- Florian Dold <dold@taler.net>  Thu, 05 Aug 2021 00:02:33 +0200

taler-wallet-cli (0.0.1-2) unstable; urgency=low

  * Improved denomination generator.

 -- Florian Dold <dold@taler.net>  Wed, 04 Aug 2021 23:26:17 +0200

taler-wallet-cli (0.0.1-1) unstable; urgency=low

  * Added exchange deployment linting tool.



=== packages/taler-harness/debian/control ===
Source: taler-harness
Section: networking
Priority: optional
Maintainer: Taler Systems SA <deb@taler.net>
Uploaders: Christian Grothoff <grothoff@gnu.org>, Florian Dold <dold@taler.net>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.1.0
Vcs-Git: https://git.taler.net/wallet-core.git
Homepage: https://taler.net/

Package: taler-harness
Architecture: all
Depends: nodejs,
         ${misc:Depends}
Recommends:
Description: Software package to test Taler installations.

=== packages/taler-wallet-cli/debian/control ===
Source: taler-wallet-cli
Section: networking
Priority: optional
Maintainer: Taler Systems SA <deb@taler.net>
Uploaders: Christian Grothoff <grothoff@gnu.org>, Florian Dold <dold@taler.net>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.1.0
Vcs-Git: https://git.taler.net/wallet-core.git
Homepage: https://taler.net/

Package: taler-wallet-cli
Architecture: all
Depends: nodejs,
         ${misc:Depends}
Recommends:
Description: This is a command-line interface version of the GNU Taler wallet.
